edu.whs.spin2018.baoapp.views.lobby

## Class BenutzerAdapter.BenutzerViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - edu.whs.spin2018.baoapp.views.lobby.BenutzerAdapter.BenutzerViewHolder

- All Implemented Interfaces:
    BenutzerItemView
  Enclosing class:
    BenutzerAdapter

      public static class BenutzerAdapter.BenutzerViewHolder
      extends android.support.v7.widget.RecyclerView.ViewHolder
      implements BenutzerItemView

  Beschreibt eine ItemView und Metadaten über ihre Position in der RecyclerView

- - ### Field Summary

    - ### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `itemView`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setzeBenutzernamen(java.lang.String benutzername)` Setze den Benutzername in das BenutzerItem ein.
    `void` | `setzeUUID(java.lang.String UUID)` Setzte die UUID des Benutzers in das UserItem ein.

    - ### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### setzeBenutzernamen

          public void setzeBenutzernamen(java.lang.String benutzername)

      Description copied from interface: `BenutzerItemView`
      Setze den Benutzername in das BenutzerItem ein.
      Specified by:
        `setzeBenutzernamen` in interface `BenutzerItemView`
      Parameters:
        `benutzername` - Benutzername des Clients, welcher in der Liste dargestellt werden soll

    - #### setzeUUID

          public void setzeUUID(java.lang.String UUID)

      Description copied from interface: `BenutzerItemView`
      Setzte die UUID des Benutzers in das UserItem ein.
      Specified by:
        `setzeUUID` in interface `BenutzerItemView`
      Parameters:
        `UUID` - ID, über die der Benutzer zu identifizieren ist.